import com.urbancode.anthill3.plugin.ncover.NcoverHelper

int exitCode = 0
try {
    final def ncover = new NcoverHelper()
    int nCoverExitCode = ncover.runNcover()
    // nUnit's exit code is the number of failed tests. we don't want to fail our step when tests fail.
    if (nCoverExitCode < 0) {
        exitCode = nCoverExitCode
    }
}
catch (Exception e) {
    println "Error running NCover: ${e}"
    exitCode = 1
}
System.exit(exitCode)